%define oname	gstreamer
%define api	1.0
%define name	%{oname}%{api}
%define vname	%{oname}10

%define major		0
%define libname		%mklibname %{oname} %{api} %{major}
%define gi_name		%mklibname gst-gir %{api}
%define libnamedev	%mklibname -d %{name}
%define build_docs 	0

Name: 		%{oname}%{api}
Summary: 	GStreamer Streaming-media framework runtime
Version: 	1.8.3
Release: 	%mkrel 1
License: 	LGPLv2+
Group: 		System/Libraries
URL:            http://gstreamer.freedesktop.org/
Source0: 	http://gstreamer.freedesktop.org/src/gstreamer/%{oname}-%{version}.tar.xz
Source1:	gstreamer.prov
#--------------------------------------------------
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires:  chrpath
BuildRequires:  bison
BuildRequires:  flex
#--------------------------------------------------
%ifarch %ix86
BuildRequires: 	nasm => 0.90
%endif


%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new 
plugins.

%package tools
Summary:	GStreamer Streaming-media framework runtime
Group:		System/Libraries
Provides:	%{vname}-tools = %{version}-%{release}

%description tools
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new 
plugins.

%package -n %{libname}
Summary:	Libraries for GStreamer streaming-media framework
Group:		System/Libraries
Requires:	%{name}-tools >= %{version}-%{release}
Provides:	libgstreamer%{api} = %{version}-%{release}

%description -n %{libname}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.


%package -n %{libnamedev}
Summary:	Libraries and include files for GStreamer streaming-media framework
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{name}-tools = %{version}-%{release}
Provides:	gstreamer%{api}-devel = %{version}-%{release}

%description -n %{libnamedev}
This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer-1.0.


%prep
%setup -q -n %{oname}-%{version}
%apply_patches

%build

%configure2_5x \
	--enable-debug \
	--disable-static \
	--disable-dependency-tracking \
	--with-package-name='PCLinuxOS GStreamer package' \
	--with-package-origin='http://www.pclinuxos.com/' \
	--disable-tests \
	--disable-examples \
	--disable-rpath \
	--libexecdir=%{_libdir} \
	--disable-docbook \
	--enable-gtk-doc=no \
	--with-html-dir=%{_datadir}/gtk-doc/html


%make


%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_var}/cache/%{oname}-%{api}

#clean the files we don't want to install 
find %{buildroot} -name '*.la' -delete
rm -rf %{buildroot}/%{_datadir}/gtk-doc

%find_lang %{oname}-%{api}

chrpath -d %{buildroot}{%_bindir/gst-{inspect,launch,typefind}-1.0,%_libdir/{*.so,%{oname}-%api/*.so}}

# Add the provides script
install -m0755 -D %{SOURCE1} %{buildroot}%{_prefix}/lib/rpm/%{_real_vendor}/%{name}.prov


%files tools -f %{oname}-%{api}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README NEWS
%dir %{_var}/cache/%{oname}-%{api}
%{_bindir}/gst-stats-%{api}
%{_bindir}/gst-inspect-%{api}
%{_bindir}/gst-launch-%{api}
%{_bindir}/gst-typefind-%{api}
%{_mandir}/man1/gst-inspect-%{api}.1*
%{_mandir}/man1/gst-launch-%{api}.1*
%{_mandir}/man1/gst-typefind-%{api}.1*
%{_datadir}/bash-completion
   

   
%files -n %{libname}
%defattr(-, root, root)
%dir %{_libdir}/%{oname}-%{api}
%{_libdir}/libgstbase-%{api}.so.%{major}*
%{_libdir}/libgstcheck-%{api}.so.%{major}*
%{_libdir}/libgstreamer-%{api}.so.%{major}*
%{_libdir}/libgstnet-%{api}.so.%{major}*
%{_libdir}/libgstcontroller-%{api}.so.%{major}*
%{_libdir}/%{oname}-%{api}/gst-plugin-scanner
%{_libdir}/%{oname}-%{api}/gst-ptp-helper
%{_libdir}/%{oname}-%{api}/libgstcoreelements.so
%{_libdir}/girepository-1.0/Gst-%{api}.typelib
%{_libdir}/girepository-1.0/GstBase-%{api}.typelib
%{_libdir}/girepository-1.0/GstCheck-%{api}.typelib
%{_libdir}/girepository-1.0/GstController-%{api}.typelib
%{_libdir}/girepository-1.0/GstNet-%{api}.typelib
%{_libdir}/gstreamer-%{api}/libgstcoretracers.so

%files -n %{libnamedev}
%defattr(-, root, root)
%doc ChangeLog
%{_prefix}/lib/rpm/%{_real_vendor}/%{name}.prov
%dir %{_includedir}/%{oname}-%{api}
%dir %{_includedir}/%{oname}-%{api}/gst
%{_includedir}/%{oname}-%{api}/gst/*.h
%dir %{_includedir}/%{oname}-%{api}/gst/base/
%{_includedir}/%{oname}-%{api}/gst/base/*.h
%{_includedir}/%{oname}-%{api}/gst/check/
%dir %{_includedir}/%{oname}-%{api}/gst/controller/
%{_includedir}/%{oname}-%{api}/gst/controller/*.h
%{_includedir}/%{oname}-%{api}/gst/net/
%{_libdir}/libgstbase-%{api}.so
%{_libdir}/libgstcheck-%{api}.so
%{_libdir}/libgstreamer-%{api}.so
%{_libdir}/libgstnet-%{api}.so
%{_libdir}/libgstcontroller-%{api}.so
%{_datadir}/aclocal/gst-element-check-%{api}.m4
%{_libdir}/pkgconfig/gstreamer-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-base-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-check-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-net-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-controller-%{api}.pc
%{_datadir}/gir-1.0/Gst-%{api}.gir
%{_datadir}/gir-1.0/GstBase-%{api}.gir
%{_datadir}/gir-1.0/GstCheck-%{api}.gir
%{_datadir}/gir-1.0/GstController-%{api}.gir
%{_datadir}/gir-1.0/GstNet-%{api}.gir
#is this correct?
%{_libdir}/%{oname}-%{api}/include/gst/gstconfig.h


%clean
rm -rf %{buildroot}

%changelog
* Thu Oct 20 2016 adrianomorselli <adrianomorselli> 1.8.3-1uplos2016
- rebuild

* Sun Sep 18 2016 bb <bb> 1.8.3-1pclos2016
- update

* Thu Jun 09 2016 bb <bb> 1.8.2-1pclos2016
- update

